(*
This file is part of Ceve.

Ceve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Ceve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Ceve; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*)

open Metadata

(**
Read an RPM file
@param filename The name of the file
@param locale The locale to be used
@return RPM metadata
*)
external read_rpm_file: string -> string -> pkg_metadata = "read_rpm_file"

(**
Read an RPM header list (cache file)
@param filename The name of the hdlist file
@param locale The locale to be used
@return metadata for a list of RPM packages
*)
external read_hdlist: string -> string -> pkg_metadata list = "read_hdlist"
